#include <fstream>
#include <cmath>
#include <algorithm>

int n;

using namespace std;

int q(int p, int n, long long t)
{
    if (p > 2*n - 1) return t;
    else
    {
        t *= p;
        q(p + 2,n,t);
    }
}

int s(int p, int n, long long t)
{
    if (p > 2*n - 1) return t;
    else
    {
        t += p;
        s(p + 2,n,t);
    }
}

int main()
{
    ios::sync_with_stdio(false);
    ifstream fi("dqps.inp");
    ofstream fo("dqps.out");
    fi >> n;
    fo << q(1,n,1) << endl << s(1,n,0);
    return 0;
}

